
// David Eck, eck@hws.edu, August 1996

import java.awt.*;

public class SymmetricMosaicCanvas extends MosaicCanvas {

   SymmetricMosaicCanvas(int rows, int columns) {
      super(rows,columns);
   }

   public void setColor(int row, int column, Color color) {
        // set color of square in specified row and column, and also set
        // colors of the symmetrically placed squares obtained by 
        // horizontal and vertical reflection
      super.setColor(row,column,color);
      super.setColor(rows - row - 1,column,color);
      super.setColor(row,columns - column - 1,color);
      super.setColor(rows - row - 1,columns - column - 1,color);
   }

}